Package wx :: Module grid :: Class GridEditorCreatedEvent

[frames | no frames]

## Type GridEditorCreatedEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        GridEditorCreatedEvent

Proxy of C++ GridEditorCreatedEvent class

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
int | `GetCol(self)`
Control | `GetControl(self)`
int | `GetRow(self)`
| `SetCol(self, col)`
| `SetControl(self, ctrl)`
| `SetRow(self, row)`

Property Summary
| `Col`: See `GetCol` and `SetCol`
| `Control`: See `GetControl` and `SetControl`
| `Row`: See `GetRow` and `SetRow`
| `thisown`: The membership flag

Method Details

### __init__(self, id, type, obj, row, col, ctrl)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

Property Details

### Col

See `GetCol` and `SetCol`

  Get Method:
    `GetCol`(self)
  Set Method:
    `SetCol`(self, col)

### Control

See `GetControl` and `SetControl`

  Get Method:
    `GetControl`(self)
  Set Method:
    `SetControl`(self, ctrl)

### Row

See `GetRow` and `SetRow`

  Get Method:
    `GetRow`(self)
  Set Method:
    `SetRow`(self, row)

### thisown

The membership flag

  Get Method:
    unknown--1218671676(...)
  Set Method:
    unknown--1218671620(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:16 2007 | http://epydoc.sf.net